delta1 = (1+[COUNTRY.delta]).^(1/5)-1;
tp  = [COUNTRY.totpop];
GDP = [RESULTS.CTY.GDP].*tp;
C   = [RESULTS.CTY.C].*tp;
K1  = [RESULTS.CTY.K].*tp;
A   = [RESULTS.CTY.A].*tp;
DIV = [RESULTS.CTY.DIV].*tp;
K0  = [K_ss.*tp(1,:)/(1+PARAMS.gamma); K1(1:end-1,:)];
K2  = [K1(2:end,:); K1(end,:)*(1+PARAMS.gamma)];
X   = 5 * PARAMS.xsi * (abs((K1./K0).^(1/5) - ones(T,1)*(1-delta1))).^PARAMS.alpha .* K0;
GNP = GDP + hhRPATH*ones(1,NC).*A - (RPATH*ones(1,NC).*K1 + DIV);
i   = (K2 - (1-ones(T,1)*[COUNTRY.delta]).*K1) ./ GDP;
s   = (GNP - C - X) ./ GDP;
ca  = [RESULTS.CTY.ca];
p   = [RESULTS.CTY.p];
fr  = [RESULTS.CTY.retired];
py  = p(1:71,:).*fr./(GDP./tp);                    % total pension benefits over output
RESULTS.ca = ca;
RESULTS.s  = s;
RESULTS.i  = i;
i1960 = 3 + SHIFT_SS;
i1990 = 9 + SHIFT_SS;
i2000 = 11 + SHIFT_SS;

KY = 5*(K1(i1990,:)./GDP(i1990,:));

country = [...
   'Belgium       '; ...
   'Canada        '; ...
   'Denmark       '; ...
   'Finland       '; ...
   'France        '; ...
   'Germany       '; ...
   'Italy         '; ...
   'Netherlands   '; ...
   'Portugal      '; ...
   'Spain         '; ...
   'Sweden        '; ...
   'United Kingdom'; ...
   'United States '; ...
   'ROW           '; ...
   'Australia     '; ...
   'Ireland       '; ...
   'Japan         '; ...
   'Austria       '; ...
   'Switzerland   '];

CTYindx = [15; 18; 1; 2; 3; ...
           4; 5; 6; 16; 7; ...
           17; 8; 9; 10; 11; ...
           19; 12; 13; 14];

WBdata = [3.5 3.4 2.7 2.7 3.0 3.5 3.0 3.1 2.5 3.0 3.3 3.3 3.5 2.9 3.0 3.5 2.7 2.7 2.3];

       
fprintf(1,'Country capital output ratios in 1990\n')
fprintf(1,'                  model   data  delta cty#\n')
for i = 1:19
    j = CTYindx(i);
    fprintf(1,'%16s %6.2f %6.2f %6.3f %4i\n',country(j,:),KY(j),WBdata(i),Delta(j),j);
end
